About Program

Advanced HTML Toolkit 1.0, Copyright © 2000 SerpikSoft

Programming and design: Michael Serpik.

Advanced HTML Toolkit is a shareware software. If you wish to use it after the evaluation period you should register it.
You can download the latest version of Advanced HTML Toolkit from the Advanced HTML Toolkit Website: http://www.htmlutilities.com.

Send your questions, comments and bug reports to aht@htmlutilities.com.


What's New

Version 1.0:

  • Minor bugs fixed.

    Version 1.0 beta 2:

  • Several bugs fixed.
  • New Project dialog.

    Version 1.0 beta 1:

  • Several bugs fixed.
  • Improved HTML optimization.
  • Saving files for different OS (Windows/Macintosh/Unix).
  • Option "Show and process hidden files and folders".

    Version 0.8b:

  • First public beta.


Registration

Advanced HTML Toolkit is a shareware software. It costs $29.

Benefits of registration
1. Using after the evaluation period (30 days).
2. No nag screens.
3. Free upgrades (you will get all the future versions free of charge).
4. Free support.

If you would like to register Advanced HTML Toolkit visit http://www.htmlutilities.com/register.htm.


Introduction

Advanced HTML Toolkit (AHT) is an integrated set of powerful utilities that will help you to work with html files. It includes:

  • Built-in browser.
  • Editor with syntax highlighting.
  • Search capability. AHT allows to use AltaVista - like queries, e.g. +"HTML Tool" -plugin or find replace. It can search within the text that is shown in the browser or within the source text of the html file.
  • Replace, insert, delete or only find paragraphs (or strings) of the text.
  • Optimization of HTML files. Their size reduces but they appear in the browser without changes. AHT doesn't corrupt scripts, works correctly with preformatted text and styles.
  • Converting HTML files to text. AHT recognizes lists, paragraphs, converts special characters.
  • The program supports projects so you can save all your options to the project file and retrieve them later.


Options

You can set the options with the help of the Options dialog.

The File Types options allows you to define masks of files for which browser and editor (with or without highlighting) is shown when you select the file. You can also control the Show and process hidden files and folders and Line breaks options.

You can control two options of the browser. They can be changed with the help of the File submenu:
Work Offline - don't load images and pages using an Internet connection
Silent Browser - check the option to prevent browser from showing most of dialog boxes.


Projects

Projects include the following information that can be configured with the help of the Project Properties dialog:

Title - title of the project.
Folder - root folder of the project. It is shown as the root of the folder tree.
Target folder - destination folder to which processed files will be saved if it is defined to save processed files to a different folder (it is the default value and you will be able to change it when you work with Replace, Optimize or HTML to Text panels).
Mask - mask of the files shown on the Folders panel. You can change the properties of the project with the help of the Project Properties window.

When you save projects all the options (including options of search, replace, etc.) are stored in the project file. You can load the projects later.


Folders

This panel allows to explorer the folders of your project, view and edit files that are situated in these folders. The root of the folder tree that is shown at the panel is the root folder of the current project. It can can be changed with the help of the Project Properties window.

The mask for the files can be defined in the Project Properties dialog too.


Find

When you search files you should use the search queries. Advanced HTML Toolkit supports AltaVista-like queries.

The queries consist of words and phrases. If you wish to write a phrase you should use quotes to separate it. For example: "Advanced HTML Toolkit" is a phrase and advanced is a word. If the word or phrase must be in the document you should write + before it. If the find or word mustn't be in the document you should type - before it. If there aren't any signs before the word or phrase in the query the phrase or word may be in the document.

Examples:
1. find replace - it will find all the documents that include word find or replace.
2. +"find and replace" -editor - it will find all the documents that include phrase find and replace but don't include word editor.

You can also set the type of the query to AND, OR or Phrase. In this case you will search for a document that includes all the words and phrases (AND), any one of them (OR) or the exact phrase.

Other options of the Find panels are Whole words only (search only whole words or phrases, not part of the words), Case sensitive and Find visible text. The last option allows to find the text within the text that is shown in the browser. In other case the program will search within the HTML source text.


Replace

The program can find and replace the entire paragraphs of the text. Of course you can replace any phrases too. You can also insert the specified text after the found one, before it or just delete the found text.


Optimize

The Optimize panel allows to remove unnecessary information from the html files so they become smaller (on average by 20%). You can use the following options:

  • Merge lines.
  • Remove unnecessary whitespace characters.
  • Remove unnecessary quotation marks. For example, <table BORDER="0" CELLSPACING="0" CELLPADDING="0" align="center"> will be converted to <table BORDER=0 CELLSPACING=0 CELLPADDING=0 align=center>.
  • Replace some tags with the short ones - replace STRIKE tags with S, STRONG with B and EM with I.
  • Remove HTML comments. The comments within the scripts and styles aren't removed.
  • Remove <!DOCTYPE ...> tags.
  • Remove meta tags. You can specify names of the meta tags to remove.

The program recognizes preformatted text and doesn't corrupt it.


HTML to Text

This capability allows to convert html document to a plain text file. The program supports paragraphs, lists. The special characters (e.g. &nbsp; or &quot;) are converted into the appropriate characters. You can also specify the following options:

  • Change extension. By default the extension of the result files is .txt
  • Show title. If this option is ON the title of the document is placed at the top of the document.
  • Show links. If this option is ON the URL's of the links are placed to the document.
  • Remove empty lines.
  • Include images. If this option is ON the alt attribute (alternate text) of the image is placed to the document.